# File format.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/format.hpp`)

- Program Listing for File format.hpp

## Detailed Description

File containing a basic reimplementation of boost::format but then a bit more simplistic. Still this allowed me to move my code from using boost::format to something without external dependency easily.

## Includes

- `string`

## Included By

- File cif++.hpp

## Namespaces

- Namespace cif

- Namespace cif::detail

## Classes

- Class fill_out_streambuf

## Functions

- Template Function cif::format